Package net.shibboleth.idp.admin.impl

# Class ReportModuleStatus

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.admin.impl.ReportModuleStatus

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class ReportModuleStatus extends AbstractIdentifiableInitializableComponent
Class to check that every `IdPPlugin` the required `IdPModule` available.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`idpHome`
The IdOP Home dir.
`private final org.slf4j.Logger`
`log`
Log.

## Constructor Summary

Constructors
Constructor
Description
`ReportModuleStatus()`

## Method Summary

Modifier and Type
Method
Description
`private void`
`checkPlugins(Set<String> enabledModules)`
Check whether any plugin required a non-enabled module.
`protected void`
`doInitialize()`
`private Set<String>`
`getEnabledModules()`
Return all the enabled modules.
`void`
`setIdpHome(String input)`
Sets IdP home location.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Log.

### idpHome

@Nonnull private String idpHome
The IdOP Home dir.

## Constructor Details

### ReportModuleStatus

public ReportModuleStatus()

## Method Details

### setIdpHome

public void setIdpHome(@Nonnull @NotEmpty String input)
Sets IdP home location.

Parameters:
  `input` - what to set.

### getEnabledModules

@Nonnull private Set<String> getEnabledModules()
Return all the enabled modules.

Returns:
  the module IDs.

### checkPlugins

private void checkPlugins(@Nonnull Set<String> enabledModules)
Check whether any plugin required a non-enabled module.

Parameters:
  `enabledModules` - the enabled module IDs

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractIdentifiedInitializableComponent`
Throws:
  `ComponentInitializationException`